PropertyWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Interface PropertyWriter

    public interface PropertyWriter

Writes properties to a configuration file.

Author:
  Marvin Froehlich (CTDP)

Method Summary
`void` | `writeProperty(Property property, java.lang.Boolean quoteValue, java.lang.String comment)`
`void` | `writeProperty(Property property, java.lang.String comment)`
`void` | `writeProperty(java.lang.String key, java.lang.Object value, boolean isDefaultValue, java.lang.Boolean quoteValue, java.lang.String comment)`
`void` | `writeProperty(java.lang.String key, java.lang.Object value, boolean isDefaultValue, java.lang.String comment)`

Method Detail

### writeProperty

    void writeProperty(java.lang.String key,
                       java.lang.Object value,
                       boolean isDefaultValue,
                       java.lang.Boolean quoteValue,
                       java.lang.String comment)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeProperty

    void writeProperty(java.lang.String key,
                       java.lang.Object value,
                       boolean isDefaultValue,
                       java.lang.String comment)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeProperty

    void writeProperty(Property property,
                       java.lang.Boolean quoteValue,
                       java.lang.String comment)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeProperty

    void writeProperty(Property property,
                       java.lang.String comment)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD